from django.db import models

# Create your models here.
from aleksis.core.util.helper import path_and_rename
from django.utils.translation import gettext_lazy as _


class Menu(models.Model):
    calendar_week = models.IntegerField(verbose_name=_("CW"))
    year = models.IntegerField(verbose_name=_("Year"))
    pdf = models.FileField(upload_to=path_and_rename, verbose_name=_("PDF"))

    class Meta:
        unique_together = ("calendar_week", "year")
        verbose_name = _("Menu")
        verbose_name_plural = _("Menus")

    def __str__(self):
        return "{} {}/{}".format(_("CW"), self.calendar_week, self.year)
